Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sun.enterprise.ee.cms.impl.common
Enum RecoveryTargetSelector.RecoverySelectorMode

    java.lang.Object
      java.lang.Enum<RecoveryTargetSelector.RecoverySelectorMode>
          com.sun.enterprise.ee.cms.impl.common.RecoveryTargetSelector.RecoverySelectorMode

All Implemented Interfaces:
  Serializable, Comparable<RecoveryTargetSelector.RecoverySelectorMode>

Enclosing class:
  RecoveryTargetSelector

    public static enum RecoveryTargetSelector.RecoverySelectorMode

extends Enum<RecoveryTargetSelector.RecoverySelectorMode>

Enum Constant Summary
`FIRSTLIVESELECT`
`HOSTSELECT`
`SIMPLESELECT`

Method Summary
`static RecoveryTargetSelector.RecoverySelectorMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RecoveryTargetSelector.RecoverySelectorMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SIMPLESELECT

    public static final RecoveryTargetSelector.RecoverySelectorMode SIMPLESELECT

### HOSTSELECT

    public static final RecoveryTargetSelector.RecoverySelectorMode HOSTSELECT

### FIRSTLIVESELECT

    public static final RecoveryTargetSelector.RecoverySelectorMode FIRSTLIVESELECT

Method Detail

### values

    public static final RecoveryTargetSelector.RecoverySelectorMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RecoveryTargetSelector.RecoverySelectorMode c : RecoveryTargetSelector.RecoverySelectorMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RecoveryTargetSelector.RecoverySelectorMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.